import { PromiseProgress } from './promise-progress.ts';
export declare function download(href: any, name: string): void;
export declare function downloadBlob(blob: Blob, name: string): void;
export declare function fileBrowser(options?: {
    accept?: string;
    multiple?: boolean;
}): Promise<File[]>;
export declare function uploadWithProgress(options: {
    url: string;
    file: File;
    headers?: {
        [key: string]: string;
    };
    withCredentials?: boolean;
}): PromiseProgress<unknown>;
